# PURPOSE: ansible environment vars
# USAGE: source ansible.env
set -o allexport

# import local environment file if exists
# =======================================
[ -f ansible.dev ] && . ansible.dev

# DEFINE/OVERWRITE ANSIBLE SETTINGS
# =================================
[ -n "${ANSIBLE_PRIVATE_KEY_FILE}" ]  || ANSIBLE_PRIVATE_KEY_FILE=ansible.key
[ -n "${ANSIBLE_CONFIG}" ]            || ANSIBLE_CONFIG=ansible.cfg
[ -n "${ANSIBLE_INVENTORY}" ]         || ANSIBLE_INVENTORY=hosts
[ -n "${ANSIBLE_REMOTE_USER}" ]       || ANSIBLE_REMOTE_USER=root

set +o allexport
# eof
